<section class="o-card -last -orange">
  <div class="o-card__container">
    <h2 class="o-card__title">
      <mat-icon class="o-card__title__icon">timer</mat-icon> Wie werkte het
      hardst deze week?
    </h2>
    <ul class="a-alerts" *ngIf="registerWorkErrors">
      <li
        class="a-alert -error -can-dismiss"
        *ngFor="let registerWorkError of registerWorkErrors"
      >
        {{ registerWorkError }}
        <button
          class="a-alert__dismiss"
          (click)="closeError(registerWorkError)"
        >
          <span><mat-icon>close</mat-icon></span>
        </button>
      </li>
    </ul>
    <ul class="m-list-loading" *ngIf="!workSummary && !loadingWorkError">
      <li class="m-list-loading__item"></li>
      <li class="m-list-loading__item"></li>
      <li class="m-list-loading__item"></li>
    </ul>
    <app-cannot-load
      *ngIf="!workSummary && loadingWorkError"
      [message]="'Kon het overzicht niet laden.'"
      (refresh)="onLoadWorkAgain()"
    ></app-cannot-load>
    <ol class="m-data-list" *ngIf="workSummary">
      <li
        class="m-data-list__item"
        *ngFor="let work of workSummary; let first = first"
        [class.-bold]="first && work.totalMinutes > 0"
      >
        <span class="m-data-list__item__title">
          <span class="m-data-list__item__title__text">{{ work.user }}</span>
          <span
            *ngIf="first && work.totalMinutes > 0"
            class="m-data-list__item__title__extra -gold -icon a-tooltip"
          >
            <mat-icon svgIcon="crown"></mat-icon>
            <span class="a-tooltip__text">Werker van de week</span>
          </span>
        </span>
        <span class="m-data-list__item__guide"></span>
        <span>{{ work.totalMinutes }}</span>
      </li>
    </ol>
  </div>
  <div class="o-card__context a-double-action">
    <div class="a-double-action__title">Ik heb gewerkt:</div>
    <div class="a-double-action__actions">
      <button
        class="a-button -white"
        [class.-is-loading]="isRegisteringThirtyMinutes"
        [disabled]="isRegisteringThirtyMinutes"
        (click)="onThirtyMinutes()"
      >
        + 30 minuten
      </button>
      <button
        class="a-button -white"
        [class.-is-loading]="isRegisteringWork"
        [disabled]="isRegisteringWork"
        (click)="onRegisterWork()"
      >
        Zelf invullen
      </button>
    </div>
  </div>
</section>
